﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace RCM {
    public interface IDataSource {
        string Title { get; set; }
        HashSet<Guid> ExpandedNodes { get; }

        Dictionary<Guid, IRecord> SelectAll();
        void Insert(IRecord record);
        void Update(IRecord record);
        void Delete(IRecord record);
        UserControl GetControl();
        void UpdateFromControl();

        string ToString();
    }
}
