﻿using System;
using System.Windows.Forms;

namespace RCM {
    public partial class SimpleHostControl : UserControl {
        public SimpleHostControl(string host, string username, string password, string notes) {
            InitializeComponent();
            textBoxHostAddress.Text = host;
            textBoxUsername.Text = username;
            textBoxPassword.Text = password;
            textBoxNotes.Text = notes;
        }

        private void ButtonUnmaskPassword_Click(object sender, EventArgs e) {
            textBoxPassword.UseSystemPasswordChar = !textBoxPassword.UseSystemPasswordChar;
        }
    }
}
